.donation-story-container {
    background: var(--default-color) url('/resources/ottcms/newImg/donation-story-bg.jpg') no-repeat center / cover;
    padding: 100px 0;
}
.donation-story-header-box{
    margin-bottom: 40px;
}
.story-list{
    gap: 20px;
    align-items: stretch;
}
.story-box{
    flex: 1;
    height: 100%;
    transition: 0.2s ease;
}

.story-box:hover {
    transform: scale(0.95);
}
.story-box .item {
	position: relative;
    display: block;
    background: #fff;
    border-radius: var(--radius);
    padding: 50px 35px 120px;
    width: 450px;
    height: 100%;
}
.story-box .item::after{
	content: '';
	position: absolute;
	bottom: 34px;
	right: 34px;
	width: 46px;
	height: 46px;
	background: var(--secondary-color) url('/resources/ottcms/newImg/arrow-more.png') no-repeat center;
	border-radius: 100%;
}
.story-box .item .name {
    display: flex;
    align-items: center;
	gap: 20px;
}
.story-box .item .name p {
    font-size: 18px;
    font-weight: 600;
    color: #111;
}
.story-box .item .cont {
    font-size: 20px;
    font-weight: 500;
    color: #111;
	margin-top: 20px;
    height: 240px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 8;
}
.story-btn-box {
	display: flex;
	gap: 20px;
	position: absolute;
	top: -109px;
	right: calc(50% - 800px);
}
.story-btn-box button {
    background: var(--secondary-color);
    cursor: pointer;
    border-radius: 50%;
    border: none;
    display: flex;
    width: 60px;
    height: 60px;
    justify-content: center;
    align-items: center;
    position: static;
    transform: translateY(0);
}
.story-btn-box button:hover {
    background: #111111;
}
.story-btn-box button:hover img {
    filter: brightness(0) invert(1);
}

.story-btn-box button img {
    height: auto;
    transition: filter 0.3s ease;
}
/* Responsive Screens */
@media (max-width: 1024px) {
	.donation-story-header-box {
		margin: 0 80px 59px;
	}
	.story-btn-box{
		right: 80px;
	}
}
  
@media (max-width: 768px) {
	.donation-story-header-box {
	  margin: 0 30px 30px;
	}
	.story-btn-box{
		gap: 10px;
		top: -75px;
		right: 30px;
	}
	.story-btn-box button {
		width: 50px;
		height: 50px;
	}

	.story-btn-box {
		gap: 10px;
	}
	.story-btn-box button img {
		width: 12px;
	}
	.story-box .item {
		width: 350px;
		height: 100%;
	}
	.story-box .item .cont {
		font-size: 18px;
		height: 160px;
		-webkit-line-clamp: 6;
	}
}

@media (max-width: 480px) {
	.donation-story-header-box {
	  margin: 0 30px 10px;
	}
	.story-btn-box{
		position: static;
		justify-content: flex-end;
		margin-right: 30px;
		margin-bottom: 30px;
	}
	.story-box .item {
		width: 250px;
		height: 100%;
		padding: 40px 20px 80px;
	}
	.story-box .item::after{
		bottom: 25px;
		right: 25px;
		width: 40px;
		height: 40px;
	}
	.story-box .item .name {
		display: flex;
		align-items: center;
		gap: 10px;
	}
	.story-box .item .name i{
		width: 50px;
		height: 50px;
	}
	.story-box .item .name p {
		font-size: 16px;
	}
	.story-box .item .cont {
		font-size: 17px;
		height: 105px;
		-webkit-line-clamp: 4;
	}
}
